/**
 * @file
 * Subtheme specific CSS.
 */

a {
  text-decoration: none;
}

a:hover, a:focus {
  text-decoration: underline;
}

div#main,
.sidebar nav.menu--account div.nav a.nav-link,
.sidebar div.block ul.list-group a, 
.sidebar div.block-views .view-content li {
  padding: 0.75rem 0;
}

.sidebar div.block-views .view-content ul,
.sidebar div.block-views .view-content div.item-list,
.sidebar .block {
  padding: 0;
}

.sidebar div.block div.content {
  padding: 0 0.75rem;
}

.sidebar div.block div.content ul.toolbar-menu {
  padding: 0;
}

.sidebar div.block-aggregator .list-group li,
.sidebar div.block-aggregator div.more-link,
.sidebar div.block div.content ul.toolbar-menu li {
  padding: 8px 0;
}

.sidebar h2 {
  padding: 0.75rem;
  border-radius: 7px 7px 0 0;
  -webkit-border-top-left-radius: 7px;
  -webkit-border-top-right-radius: 7px;
  border: 1px solid var(--cooler-crew-dark-blue);
}

header nav#navbar-main,
.sidebar .block {
  border-radius: 7px;
  -webkit-border-top-left-radius: 7px;
  -webkit-border-top-right-radius: 7px;
  -webkit-border-bottom-left-radius: 7px;
  -webkit-border-bottom-right-radius: 7px;
}

nav.block div.nav, 
.sidebar nav.menu--account div.nav,
nav.block div.nav, 
nav.block ul.navbar-nav,
header {
  padding: 0 1rem;
}

main#content,
.sidebar .block {
  margin: 20px 0;
}

.sidebar nav.block ul,
.sidebar nav.block div.nav, 
.sidebar nav.block ul.navbar-nav
.sidebar div.block div.item-list ul {
  margin: 0;
}

.nav-tabs .nav-item .nav-link {
  margin: 1px;
}

div#main-wrapper {
  margin: 0 1rem;
}

header nav#navbar-main div.block-search .mb-3 {
  margin-bottom: 0 !important;
}

header nav#navbar-main div.block-search button {
  margin: 0 10px 0 0;
}

div.row {
  margin-left: 0;
  margin-bottom: 10px;
}

header nav.navbar div.site-name-slogan {
  font-size: 2.3rem;
  font-weight: bold;
  margin-right: 10rem;
}

div#main div.row {
  margin-right: 0;
}

header nav.navbar nav.menu--main ul.navbar-nav,
header nav.navbar nav.menu--main ul.navbar-nav .dropdown-item {
  font-size: 1.072rem;
  font-family: var(--bs-body-font-family);
  font-weight: 500;
}

.sidebar div.block div.content ul.toolbar-menu li {
  font-size: 16px;
  line-height: 24px;
}

.site-footer .content {
  text-align: center;
}
  
.sidebar nav.menu--account div.nav {
  display: table;
}

.sidebar div.block div.content ul.toolbar-menu {
  list-style-type: none;
}

.sidebar div.block div.content {
  border: none;
}
  
.sidebar .block {
  border-top: none;
  border: 1px solid var(--cooler-crew-medium-blue);
}

.sidebar .block .list-group-item {
  border: none;
}

.content form.node-form div.layout-region-node-secondary,
.content form.node-form div.layout-region-node-main {
  width: 100%;
}

h2.slide__title {
  font-size: 10pt;
}

/* TODO: THis needs to be fixed to adapt to the width of the content area not set it. */
.content div.paragraph--type--tdc-slideshow div.slick--slideshow-slides {
  max-width: 800px;
}

header.header section.region-secondary-menu,
header.header section.region-top-header {
  width:50%;
}

.slide__content iframe.media__element {
  min-height:480px;
}

.sidebar div.treasure-hunt-list-form {
  text-align:center;
}

.sidebar div.treasure-hunt-list-form {
  margin-bottom: 1em;
}

.sidebar div.treasure-hunt-list-form form input {
  width: 60%;
  margin: 0 auto;
}

.sidebar div.treasure-hunt-list-body div {
  margin: 1.5em 0;
}

.sidebar div ul.treasure-hunt-list-list {
  list-style-type:none;
  font-size:24px;
  padding-left:0;
  max-width: 60%;
  margin: 0 auto;
}

.sidebar div ul.treasure-hunt-list-list li {
  border: 1px solid var(--cooler-crew-light-blue);
}

.sidebar div.treasure-hunt-list-form form input[type='submit']  {
  display:none;
}

.sidebar div.view-todays-scheduled-events div.row {
  --bs-gutter-y: 0.5em;
}

main.main-content {
  width: 66.666666666667%;
}